# Enum Class PeerAddressChangeNotification.AddressChangeEvent

java.lang.Object
java.lang.Enum<PeerAddressChangeNotification.AddressChangeEvent>
com.sun.nio.sctp.PeerAddressChangeNotification.AddressChangeEvent

All Implemented Interfaces:
  `Serializable, Comparable<PeerAddressChangeNotification.AddressChangeEvent>, Constable`

Enclosing class:
  `PeerAddressChangeNotification`

public static enum PeerAddressChangeNotification.AddressChangeEvent extends Enum<PeerAddressChangeNotification.AddressChangeEvent>
Defines the type of address change event that occurred to the destination address on a multi-homed peer when it encounters a change of interface details.

Some of these events types are only generated when the association supports dynamic address reconfiguration, e.g. `SCTP_ADDR_ADDED`, `SCTP_ADDR_REMOVED`, etc.

Since:
  1.7

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`
Modifier and Type
Class
Description
`static final class`
`Enum.EnumDesc<E extends Enum<E>>`
A nominal descriptor for an `enum` constant.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDR_ADDED`
The address is now part of the association.
`ADDR_AVAILABLE`
This address is now reachable.
`ADDR_CONFIRMED`
This address has now been confirmed as a valid address.
`ADDR_MADE_PRIMARY`
This address has now been made to be the primary destination address.
`ADDR_REMOVED`
The address is no longer part of the association.
`ADDR_UNREACHABLE`
The address specified can no longer be reached.

## Method Summary

Modifier and Type
Method
Description
`static PeerAddressChangeNotification.AddressChangeEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PeerAddressChangeNotification.AddressChangeEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
Modifier and Type
Method
Description
`protected final Object`
`clone()`
Throws CloneNotSupportedException.
`final int`
`compareTo(PeerAddressChangeNotification.AddressChangeEvent o)`
Compares this enum with the specified object for order.
`final Optional<Enum.EnumDesc<PeerAddressChangeNotification.AddressChangeEvent>>`
`describeConstable()`
Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
`final boolean`
`equals(Object other)`
Returns true if the specified object is equal to this enum constant.
`protected final void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization has been deprecated for removal.
`final Class<PeerAddressChangeNotification.AddressChangeEvent>`
`getDeclaringClass()`
Returns the Class object corresponding to this enum constant's enum type.
`final int`
`hashCode()`
Returns a hash code for this enum constant.
`final String`
`name()`
Returns the name of this enum constant, exactly as declared in its enum declaration.
`final int`
`ordinal()`
Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
`String`
`toString()`
Returns the name of this enum constant, as contained in the declaration.
`static <T extends Enum<T>>
T`
`valueOf(Class<T> enumClass, String name)`
Returns the enum constant of the specified enum class with the specified name.

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Enum Constant Details

### ADDR_AVAILABLE

public static final PeerAddressChangeNotification.AddressChangeEvent ADDR_AVAILABLE
This address is now reachable.

### ADDR_UNREACHABLE

public static final PeerAddressChangeNotification.AddressChangeEvent ADDR_UNREACHABLE
The address specified can no longer be reached. Any data sent to this address is rerouted to an alternate until this address becomes reachable.

### ADDR_REMOVED

public static final PeerAddressChangeNotification.AddressChangeEvent ADDR_REMOVED
The address is no longer part of the association.

### ADDR_ADDED

public static final PeerAddressChangeNotification.AddressChangeEvent ADDR_ADDED
The address is now part of the association.

### ADDR_MADE_PRIMARY

public static final PeerAddressChangeNotification.AddressChangeEvent ADDR_MADE_PRIMARY
This address has now been made to be the primary destination address.

### ADDR_CONFIRMED

public static final PeerAddressChangeNotification.AddressChangeEvent ADDR_CONFIRMED
This address has now been confirmed as a valid address.

## Method Details

### values

public static PeerAddressChangeNotification.AddressChangeEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PeerAddressChangeNotification.AddressChangeEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null